eID middleware |

# be::portugal::eid::PTEID_ExDocTypeUnknown Class Reference

Exception class Document Type Unknown (error code = EIDMW_ERR_DOCTYPE_UNKNOWN). More...

Inheritance diagram for be::portugal::eid::PTEID_ExDocTypeUnknown:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExDocTypeUnknown ()

## Detailed Description

Exception class Document Type Unknown (error code = EIDMW_ERR_DOCTYPE_UNKNOWN).

Throw when the document type doesn't exist for this card. Used in :

- PTEID_Card::getDocument(PTEID_DocumentType type)

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExDocTypeUnknown::PTEID_ExDocTypeUnknown | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExDocTypeUnknown::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.